не запускается VirtualBox

Привет. Сделал emerge @x11-module-rebuild, не помогло. lsmod показывает что эти модули есть.
И что за модуль vboxvideo? У меня прописаны: modules_3="vboxdrv vboxnetflt vboxnetadp
Под рутом не запускается, не находит VirtualBox.
Но вот что интересно, делаю module-rebuild -X rebuild и при сборке >>> Emerging (3 of 4) app-emulation/virtualbox-modules-4.1.22 получаю вот такое сообщение, я в английском не селен, что это значит?

* Building ‘vboxnetadp’ module*
make[1]: Вход в каталог `/var/calculate/tmp/portage/app-emulation/virtualbox-modules-4.1.22/work/vboxnetadp’
make KBUILD_VERBOSE= SUBDIRS=/var/calculate/tmp/portage/app-emulation/virtualbox-modules-4.1.22/work/vboxnetadp SRCROOT=/var/calculate/tmp/portage/app-emulation/virtualbox-modules-4.1.22/work/vboxnetadp CONFIG_MODULE_SIG= -C /usr/src/linux modules
make[2]: Вход в каталог `/usr/src/linux-3.5.6-calculate’

WARNING: Symbol version dump /usr/src/linux-3.5.6-calculate/Module.symvers
is missing; modules will have no dependencies and modversions.

Александр Кныш wrote:

С добрым.
Загружаемся, делаем от рута emerge @x11-module-rebuild, затем прописываем нужные модули в /etc/conf.d/modules ---- >>> modules_3=“vboxvideo vboxdrv vboxnetflt vboxnetadp”. Я думаю так будет более ясно. Перегрузиться и посмотреть при загрузке загрузились ли модули. Если да - добавить пользователя в группу vboxusers + sudo. И запускать virtualbox через sudo. В принципе у меня так настроено и все отлично работает.

Стоп.
А причем тут app-emulation/virtualbox-4.2.0-r1 и app-emulation/virtualbox-modules-4.1.22 ?

Так вы какую версию vbox’а установили? Своему vbox’у свои модули :wink:
А версию загруженного ядерного модуля можно узнать, например, так:

modinfo vboxdrv | grep "^version"

И она, само собой, должна совпадать с установленным vbox

Просто я уже разные версии пытаюсь ставить для проверки работоспособности.

В данном случае стоит app-emulation/virtualbox-bin Installed versions: 4.1.22
# modinfo vboxdrv | grep “^version”
version: 4.1.22 (0x00190000)

Кто нибудь сможет помочь с проблемой?

Еще раз повторяю, что версия app-emulation/virtualbox-bin-4.1.22
# modinfo vboxdrv | grep “^version”
version: 4.1.22 (0x00190000)

как Вы запускаете virtualbox ? Какой командой (полный путь) и от какого пользователя?
Стоит точно такая же версия, все прекрасно работает. Кстати вы используете бинарную версию ? И укажите какой профиль бинарный или из сорцов ?

Профиль с исходниками, просто решил попробовать поставить бинарную стабильную версию.
Под рутом он не запускается, я уже это писал, запускаю ярлычком :wink: или VirtualBox.
У жены все работает на компе и с тем же ядром, может ядро откатить…

error.png

Александр Афанасин wrote:

Профиль с исходниками, просто решил попробовать поставить бинарную стабильную версию.
Под рутом он не запускается, я уже это писал, запускаю ярлычком :wink: или VirtualBox.
У жены все работает на компе и с тем же ядром, может ядро откатить…

Переустановите еще раз из исходников virtualbox + virtualbox-additions + virtualbox-guest-additions + virtualbox-modules + xf86-video-virtualbox + virtualbox-extpack-oracle. Ну не должно быть там проблем, вообще не должно. Саш Вы или следуете рекомендациям ил ведете дискуссию, я не пойму ? Спорить не буду, а результат рекомендации в студию.

Да уже ставил, толку. Тут все дело вот в этом появившимся сообщении, которое я не знаю как решить:

  • WARNING: Symbol version dump /usr/src/linux-3.5.6-calculate/Module.symvers
  • is missing; modules will have no dependencies and modversions.

Причем от версии ядра оно не зависит.

Александр Афанасин wrote:

Да уже ставил, толку. Тут все дело вот в этом появившимся сообщении, которое я не знаю как решить:

* WARNING: Symbol version dump /usr/src/linux-3.5.6-calculate/Module.symvers
* is missing; modules will have no dependencies and modversions.

Причем от версии ядра оно не зависит.

Это нормально, потому что ядро собрано с флагом minimal. Оно тут ни при чем. Все работает из коробки. Если не нравится переставьте систему, наверняка будет работать. Саш Вы или следуете рекомендациям ил ведете дискуссию, я не пойму ? Спорить не буду, а результат рекомендации в студию.

Да я вроде делаю все как мне говорят. Просто одно и тоже повторяют по второму кругу.
Сделайте emerge @x11-module-rebuild - делал.
Сделайте module-rebuild X rebuild делал.
Вы не в группе vboxusers - да в группе.
И третий аргумент, у вас модули не соответствуют версии virtualbox - да все с этим в порядке.
Еще одно, не правильно запускаете, надо VirtualBox - знаю.

Но сегодня хотя бы я получил более конкретное сообщение об ошибке. Вышел из иксов и сделал
module-rebuild -X rebuild, и вот что вышло:

http://pastebin.calculate-linux.ru/ru/show/4524

* Could not find a Makefile in the kernel source directory.
* Please ensure that /usr/src/linux points to a complete set of Linux sources

Может теперь мне сможете помочь, если еще не надоел :slight_smile:

P.S. и переставлять систему - это уже не мой метод :slight_smile: За год более-менее уже зная особенности системы, я ее переставлять не буду, когда можно все и так исправить.

Гуглю чуть-чуть, http://www.gentoo.ru/node/10726
у меня ls -l /usr/src/linux выдает
$ ls -l /usr/src/linux
lrwxrwxrwx 1 root root 21 окт. 31 18:25 /usr/src/linux -> linux-3.5.5-calculate

Т.е. путь к предыдущему ядру.

Сейчас ядро 3.5.6-calculate

А дальше подскажите более точно? :slight_smile:

 # eselect kernel list

и

 # eix -I calculate-sources

столкнулся с подобной ошибкой
проблема в правах доступа.
под sudo запускается нормально.

Добавьте своего пользователя в группу vboxusers

Алексей Гудков wrote:

столкнулся с подобной ошибкой
проблема в правах доступа.
под sudo запускается нормально.

В смысле под sudo? У меня под рутом он не запускается.
Можете подробней объяснить.

Артём Власов wrote:

Добавьте своего пользователя в группу vboxusers

Да вроде я есть в этой группе, это было бы слишком банально и другая ошибка.

О, кстати, вот что выдал под рутом:

# VirtualBox
Qt WARNING: QGtkStyle was unable to detect the current GTK+ theme.
Qt WARNING: Qt: Session management error: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed

Что делать?

Но потом окно с ошибкой выпадает все тоже, я уже не знаю что решит эту проблему.
Может пересобрать систем и мир?

Добавить себя в группу vboxusers:

gpasswd -a <user> vboxusers

Потом смотреть совет от Михаила:

http://www.calculate-linux.ru/boards/16/topics/15417

Гена Wolf wrote:

Добавить себя в группу vboxusers:

gpasswd -a <user> vboxusers

Потом смотреть совет от Михаила:

http://www.calculate-linux.ru/boards/16/topics/15417

54.png

Александр Афанасин wrote:

Алексей Гудков wrote:

столкнулся с подобной ошибкой
проблема в правах доступа.
под sudo запускается нормально.

В смысле под sudo? У меня под рутом он не запускается.
Можете подробней объяснить.
# работал virtualbox нормально
# обновил мир, и ядро
# начались такие же ошибки как в начале топика.
# удалил все пакеты virtualbox
# поставил virtualbox-bin
всего стоит пара пакетов
_app-emulation/virtualbox-bin-4.2.4
app-emulation/virtualbox-modules-4.2.4_
# от рута подгрузил модули(под sudo почему-то не подгружались, наверное в путях не было modprobe)
# затем sudo VirtualBox

и все работает